// infernal shader
// Petr Schreiber, 2007

varying vec3 normal, lightDir;

void main()
{
	float intensity;
	vec3 n;
	vec4 color;

	n = normalize(normal);
	intensity = max(dot(lightDir,n),0.0); 

	if (intensity > 0.9)
		color = vec4(1.0,1.0,1.0,1.0);
	else if (intensity > 0.5)
		color = vec4(0.0,0.0,0.0,1.0);	
	else if (intensity > 0.26)
		color = vec4(1.0,intensity,0.0,1.0);
	else if (intensity > 0.25)
		color = vec4(1.0,intensity,0.0,1.0);
	else if (intensity > 0.24)
		color = vec4(1.0,intensity,0.0,1.0);
	else if (intensity > 0.00001)
		color = vec4(1.0,0.0,0.0,1.0);	
	else
		color = vec4(0.0, 0.0, 0.0, 1.0);

	gl_FragColor = color;
}
